import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
page = client.application_test_case_outputs.batch(
items=[{
"account_id": "account_id",
"application_variant_id": "application_variant_id",
"evaluation_dataset_version_num": 0,
"output": {
"generation_output": "generation_output"
},
"test_case_id": "test_case_id",
}],
)
page = page.items[0]
print(page)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
"github.com/stainless-sdks/sgp-go/shared"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.ApplicationTestCaseOutputs.Batch(context.TODO(), sgp.ApplicationTestCaseOutputBatchParams{
Items: []sgp.ApplicationTestCaseOutputBatchParamsItem{{
AccountID: sgp.F("account_id"),
ApplicationVariantID: sgp.F("application_variant_id"),
EvaluationDatasetVersionNum: sgp.F(int64(0)),
Output: sgp.F[sgp.ApplicationTestCaseOutputBatchParamsItemsOutputUnion](shared.ResultSchemaGenerationParam{
GenerationOutput: sgp.F("generation_output"),
}),
TestCaseID: sgp.F("test_case_id"),
}},
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}curl --request POST \
--url https://api.egp.scale.com/v4/application-test-case-outputs/batch \
--header 'Content-Type: application/json' \
--data '
[
{
"application_variant_id": "<string>",
"test_case_id": "<string>",
"output": {
"generation_output": "<string>",
"generation_extra_info": {
"chunks": [
{
"text": "<string>",
"metadata": {}
}
],
"schema_type": "CHUNKS"
}
},
"account_id": "<string>",
"evaluation_dataset_version_num": 123,
"trace_spans": [
{
"node_id": "<string>",
"start_timestamp": "2023-11-07T05:31:56Z",
"operation_input": {},
"operation_output": {},
"operation_type": "CUSTOM",
"operation_status": "SUCCESS",
"end_timestamp": "2023-11-07T05:31:56Z",
"operation_metadata": {},
"duration_ms": 0,
"account_id": "<string>",
"operation_expected": {}
}
],
"metrics": {},
"ignore_missing": true
}
]
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify([
{
application_variant_id: '<string>',
test_case_id: '<string>',
output: {
generation_output: '<string>',
generation_extra_info: {chunks: [{text: '<string>', metadata: {}}], schema_type: 'CHUNKS'}
},
account_id: '<string>',
evaluation_dataset_version_num: 123,
trace_spans: [
{
node_id: '<string>',
start_timestamp: '2023-11-07T05:31:56Z',
operation_input: {},
operation_output: {},
operation_type: 'CUSTOM',
operation_status: 'SUCCESS',
end_timestamp: '2023-11-07T05:31:56Z',
operation_metadata: {},
duration_ms: 0,
account_id: '<string>',
operation_expected: {}
}
],
metrics: {},
ignore_missing: true
}
])
};
fetch('https://api.egp.scale.com/v4/application-test-case-outputs/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"application_variant_id": "<string>",
"evaluation_dataset_id": "<string>",
"test_case_id": "<string>",
"output": {
"generation_output": "<string>",
"generation_extra_info": {
"chunks": [
{
"text": "<string>",
"metadata": {}
}
],
"schema_type": "CHUNKS"
}
},
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"schema_type": "GENERATION",
"application_interaction_id": "<string>",
"application_test_case_output_group_id": "<string>",
"metrics": {}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Batch Create Application Test Case Outputs
Description
Creates a batch of application test case outputs
Details
This API can be used to create multiple application test case outputs so users do not have to the incur the cost of repeated network calls. To use this API, pass in a list of application test case outputs in the request body.
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
page = client.application_test_case_outputs.batch(
items=[{
"account_id": "account_id",
"application_variant_id": "application_variant_id",
"evaluation_dataset_version_num": 0,
"output": {
"generation_output": "generation_output"
},
"test_case_id": "test_case_id",
}],
)
page = page.items[0]
print(page)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
"github.com/stainless-sdks/sgp-go/shared"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.ApplicationTestCaseOutputs.Batch(context.TODO(), sgp.ApplicationTestCaseOutputBatchParams{
Items: []sgp.ApplicationTestCaseOutputBatchParamsItem{{
AccountID: sgp.F("account_id"),
ApplicationVariantID: sgp.F("application_variant_id"),
EvaluationDatasetVersionNum: sgp.F(int64(0)),
Output: sgp.F[sgp.ApplicationTestCaseOutputBatchParamsItemsOutputUnion](shared.ResultSchemaGenerationParam{
GenerationOutput: sgp.F("generation_output"),
}),
TestCaseID: sgp.F("test_case_id"),
}},
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}Body
- ResultSchemaGeneration
- ResultSchemaFlexible
Show child attributes
Show child attributes
List of trace spans associated with the application's execution. These spans provide insight into the individual steps taken by nodes involved in generating the output.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
If set to true, the output batch will be saved even if there are missing outputs for some test cases.
Response
Successful Response
- ApplicationTestCaseGenerationOutputResponse
- ApplicationTestCaseFlexibleOutputResponse
Show child attributes
Show child attributes
The unique identifier of the entity.
The date and time when the entity was created in ISO format.
The ID of the account that owns the given entity.
"GENERATION"Show child attributes
Show child attributes

